Package twisted :: Package persisted :: Module styles

[show private | hide private]
[frames | no frames]

## Module twisted.persisted.styles

Different styles of peristed objects.

Classes
`Ephemeral` | This type of object is never persisted; if possible, even references to it are eliminated.
`Versioned` | This type of object is persisted with versioning information.

Function Summary
| `doUpgrade()`
| ``pickleMethod`(method)` support function for copy_reg to pickle method refs
| ``pickleModule`(module)` support function for copy_reg to pickle module refs
| `pickleStringI(stringi)`
| ``pickleStringO`(stringo)` support function for copy_reg to pickle cStringIO.OutputTypes
| ``requireUpgrade`(obj)` Require that a Versioned instance be upgraded completely first.
| ``unpickleMethod`(im_name, im_self, im_class)` support function for copy_reg to unpickle method refs
| ``unpickleModule`(name)` support function for copy_reg to unpickle module refs
| `unpickleStringI(val, sek)`
| `unpickleStringO(val, sek)`
| `_aybabtu(c)`

Variable Summary
`dictionary` | `oldModules`
`dictionary` | `upgraded`
`dictionary` | `versionedsToUpgrade`

Function Details

### pickleMethod(method)

support function for copy_reg to pickle method refs

### pickleModule(module)

support function for copy_reg to pickle module refs

### pickleStringO(stringo)

support function for copy_reg to pickle cStringIO.OutputTypes

### requireUpgrade(obj)

Require that a Versioned instance be upgraded completely first.

### unpickleMethod(im_name, im_self, im_class)

support function for copy_reg to unpickle method refs

### unpickleModule(name)

support function for copy_reg to unpickle module refs

Variable Details

### oldModules

  Type:
    `dictionary`
  Value:

        {}

### upgraded

  Type:
    `dictionary`
  Value:

        {}

### versionedsToUpgrade

  Type:
    `dictionary`
  Value:

        {}

Generated by Epydoc 1.1 on Sat Feb 15 21:19:10 2003 | http://epydoc.sf.net